
QGIS Application - Bug report #1460

crash when closing project that has an open GRASS mapset

2008-12-14 11:02 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11520

Description

1. open a GRASS mapset

2. save a project

3. close mapset

4. start a new project - QGIS crashes because of "Uncatched fatal GRASS - MAPSET is not set"

Associated revisions

Revision c772a068 - 2009-04-19 11:12 AM - Jürgen Fischer

fix #1460

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@10596 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision e59c8d5c - 2009-04-19 11:12 AM - Jürgen Fischer

fix #1460

git-svn-id: http://svn.osgeo.org/qgis/trunk@10596 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-12-16 10:05 AM - Jürgen Fischer

not reproducable here.

#2 - 2008-12-16 12:23 PM - Maciej Sieczka -

Replying to [comment:1 jef]:

not reproducable here.

Still reproducable here. Add step:
0. Load some map from the mapset you will open in step 1.

BTW - the error message in Polish locale has a corrupted char:

MAPSET nie zostaÅ� ustawiony

instead of:

MAPSET nie został ustawiony

#3 - 2009-04-19 12:10 AM - Paolo Cavallini

I confirm the bug:

Debug: current properties:

Debug: name: properties

Debug:     key: <GRASS>  subkey: <GRASS>

Debug:         name: GRASS

Debug:             key: <WorkingLocation>  value: CEA_location

Debug:             key: <WorkingGisdbase>  value: /home/Documenti/datigrass/

Debug:             key: <WorkingMapset>  value: Cea_GRASS

Debug:     key: <Gui>  subkey: <Gui>

Debug:         name: Gui

Debug:             key: <SelectionColorBluePart>  value: 0

Debug:             key: <CanvasColorGreenPart>  value: 255

Debug:             key: <CanvasColorRedPart>  value: 255

Debug:             key: <SelectionColorRedPart>  value: 255

Debug:             key: <SelectionColorGreenPart>  value: 255

Debug:             key: <CanvasColorBluePart>  value: 255

Debug:     key: <PositionPrecision>  subkey: <PositionPrecision>

Debug:         name: [[PositionPrecision]]

Debug:             key: <DecimalPlaces>  value: 2

Debug:             key: <Automatic>  value: true

Debug: there are 3 property scopes

Debug: current properties:

Debug: name: properties

Debug:     key: <GRASS>  subkey: <GRASS>

Debug:         name: GRASS

Debug:             key: <WorkingLocation>  value: 

Debug:             key: <WorkingGisdbase>  value: 

Debug:             key: <WorkingMapset>  value: 

Debug:     key: <Gui>  subkey: <Gui>

Debug:         name: Gui

Debug:             key: <SelectionColorBluePart>  value: 0

Debug:             key: <CanvasColorGreenPart>  value: 255

Debug:             key: <CanvasColorRedPart>  value: 255

Debug:             key: <SelectionColorRedPart>  value: 255

Debug:             key: <SelectionColorGreenPart>  value: 255

Debug:             key: <CanvasColorBluePart>  value: 255

Debug:     key: <PositionPrecision>  subkey: <PositionPrecision>

2024-04-28 2/3



Debug:         name: [[PositionPrecision]]

Debug:             key: <DecimalPlaces>  value: 2

Debug:             key: <Automatic>  value: true

Debug: there are 3 property scopes

Abortito

#4 - 2009-04-19 02:13 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in /

#5 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
